Subject: bug#53515: Solarus Quest Editor makes new quests read-only

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 25 Jan 2022 22:34:02 +0100

Hello,

Jesse Gibbons <[email-masked]> writes:

> 1. Launch solarus-quest-editor (in package solarus-quest-editor)
>
> 2. File->New quest...
>
> 3. Make a new directory for the quest,  select that directory, click "Open"
>
> A dialog pops up with an error like the following:
>
> *
>
> I believe this is likely because it recursively copies a template from
> /share/solarus-quest-editor/assets/initial_quest/ relative to the
> installed solarus-quest-editor to the destination and keeps
> permissions.

Confirmed.

It may be worth reporting it upstream. Do you want to take care of it?

Regards,
-- 
Nicolas Goaziou